_grk_raw_cparameters Struct Reference

RAW image compress parameters. More...

`#include <grok.h>`

## Public Attributes

uint32_t | width
uint32_t | height
| width of the raw image
uint16_t | numcomps
| height of the raw image
uint8_t | prec
| number of components of the raw image
bool | sgnd
| bit depth of the raw image
grk_raw_comp_cparameters * | comps
| signed/unsigned raw image

## Detailed Description

RAW image compress parameters.

## Member Data Documentation

## comps

grk_raw_comp_cparameters* _grk_raw_cparameters::comps

signed/unsigned raw image

## height

uint32_t _grk_raw_cparameters::height

width of the raw image

## numcomps

uint16_t _grk_raw_cparameters::numcomps

height of the raw image

## prec

uint8_t _grk_raw_cparameters::prec

number of components of the raw image

## sgnd

bool _grk_raw_cparameters::sgnd

bit depth of the raw image

## width

uint32_t _grk_raw_cparameters::width

The documentation for this struct was generated from the following file:

- grok.h